%global _legacy_common_support 1

Summary:        Socks Server 5
Name:           ss5
Version:        3.8.9
Release:        %mkrel 25
License:        GPLv2
Group:          System/Servers
URL:            https://sourceforge.net/projects/ss5
Source:         https://prdownloads.sourceforge.net/ss5/ss5-%{version}-8.tar.gz
Source1:        ss5.service
Source2:        ss5-tmpfiles.conf
Patch0:         ss5-make.diff
Patch1:         ss5-ss5-ha-loc.diff
Patch2:         ss5-init.diff
Patch3:		ss5-3.8.9-openssl11.patch
BuildRequires:  openldap-devel
BuildRequires:  pam-devel
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(libgssglue)
BuildRequires:  pkgconfig(krb5)
BuildRequires:  mysql-devel

Requires(post):  systemd >= %{systemd_required_version}
Requires(post):  rpm-helper
Requires(preun): rpm-helper

%description
ss5 is a socks server, which supports both SOCKS4 and SOCKS5 protocols,
that runs on Linux, Solaris and FreeBSD platforms.

%prep
%setup -q -n ss5-%{version}
%autopatch -p1

%build
export CFLAGS="%{optflags} -fgnu89-inline"
%configure \
	--with-epollio \
	--with-gssapi \
	--with-mysql \
	--with-logpathbase=%{_logdir}/ss5 \
	--with-configfile=%{_sysconfdir}/ss5/ss5.conf \
	--with-passwordfile=%{_sysconfdir}/ss5/ss5.passwd \
	--with-logfile=%{_logdir}/ss5/ss5.log \
	--with-profilepath=%{_sysconfdir}/ss5 \
	--with-libpath=%{_libdir} \
	--with-tracepath=%{_logdir}/ss5 \
	--with-confpathbase=%{_sysconfdir}

make -j2 CXX="g++ %{optflags}"

%install
%makeinstall dst_dir=%{?buildroot:%{buildroot}}
find %{?buildroot:%{buildroot}}/%{_mandir} -name "*.bz2" -exec rm {} \;
%{__install} -D -p -m 0644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/%{name}.conf
%{__install} -D -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service

%post
%_tmpfilescreate %{name}
%_post_service %{name}

%preun
%_preun_service %{name}

#if [ $1 = 0 ]; then
#        /sbin/service ss5 stop > /dev/null 2>&1
#        /sbin/chkconfig --del ss5
#fi

%files
%{_sbindir}/ss5
%{_sbindir}/ss5srv
%{_unitdir}/ss5.service
%exclude %{_initrddir}/ss5
%{_libdir}/ss5/

%dir %{_docdir}/ss5
%{_docdir}/ss5/License
%{_docdir}/ss5/README.pam
%dir %{_docdir}/ss5/examples
%{_docdir}/ss5/examples/ss5.pam
%{_docdir}/ss5/README.ldap
%{_docdir}/ss5/examples/slapd.conf
%{_docdir}/ss5/examples/entries.ldif
%{_docdir}/ss5/README.statmgr
%{_docdir}/ss5/README.balamgr
%{_mandir}/man1/ss5.1.*
%{_mandir}/man1/ss5srv.1.*
%{_mandir}/man5/ss5.passwd.5.*
%{_mandir}/man5/ss5.ha.5.*
%{_mandir}/man5/ss5.conf.5.*
%{_mandir}/man5/ss5.pam.5.*
%{_mandir}/man5/ss5_gss.5.*
%{_mandir}/man5/ss5_supa.5.*

%{_localstatedir}/log/ss5

%dir %{_sysconfdir}/ss5
%config(noreplace) %{_sysconfdir}/ss5/ss5.conf
%config(noreplace) %{_sysconfdir}/ss5/ss5.passwd
%config(noreplace) %{_sysconfdir}/ss5/ss5.ha
%config(noreplace) %{_sysconfdir}/pam.d/ss5
%config(noreplace) %{_sysconfdir}/sysconfig/ss5
%{_tmpfilesdir}/%{name}.conf


%changelog
* Tue Jan 03 2023 umeabot <umeabot> 3.8.9-25.mga9
+ Revision: 1929556
- Rebuild to use libldap-2.5 instead of 2.4

* Sat Apr 02 2022 umeabot <umeabot> 3.8.9-24.mga9
+ Revision: 1841149
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 3.8.9-23.mga9
+ Revision: 1747537
- rebuild for openssl 3.0.0

* Wed Nov 04 2020 joequant <joequant> 3.8.9-22.mga8
+ Revision: 1642683
- fix deps
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 3.8.9-21.mga8
+ Revision: 1517164
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 3.8.9-20.mga7
+ Revision: 1301166
- Mageia 7 Mass Rebuild

* Sat Dec 23 2017 wally <wally> 3.8.9-19.mga7
+ Revision: 1184224
- rebuild for new mariadb

* Sun Sep 10 2017 cjw <cjw> 3.8.9-18.mga7
+ Revision: 1152529
- improve openssl patch

* Wed Sep 06 2017 cjw <cjw> 3.8.9-17.mga7
+ Revision: 1151634
- fix build with openssl 1.1

* Thu Mar 03 2016 umeabot <umeabot> 3.8.9-16.mga6
+ Revision: 984136
- Rebuild for openssl

* Wed Feb 17 2016 umeabot <umeabot> 3.8.9-15.mga6
+ Revision: 962922
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 daviddavid <daviddavid> 3.8.9-14.mga6
+ Revision: 902490
- fix compilation with gcc5: add -fgnu89-inline to CFLAGS
- fix license

* Wed Oct 15 2014 umeabot <umeabot> 3.8.9-13.mga5
+ Revision: 744712
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.8.9-12.mga5
+ Revision: 689316
- Mageia 5 Mass Rebuild

* Fri Sep 12 2014 colin <colin> 3.8.9-11.mga5
+ Revision: 674813
- Fix systemd unit file.

* Mon Oct 21 2013 umeabot <umeabot> 3.8.9-10.mga4
+ Revision: 540610
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 dlucio <dlucio> 3.8.9-9.mga4
+ Revision: 494063
- systemd enabled: S1 & S2 added

* Wed Oct 09 2013 dlucio <dlucio> 3.8.9-8.mga4
+ Revision: 494043
- new tarball

* Sun Mar 24 2013 colin <colin> 3.8.9-7.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Mon Jan 14 2013 umeabot <umeabot> 3.8.9-6.mga3
+ Revision: 382619
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ luigiwalser <luigiwalser>
- add tmpfiles config for /run/ss5

* Sat Jul 21 2012 dlucio <dlucio> 3.8.9-5.mga3
+ Revision: 273059
- new tarball

* Thu Mar 22 2012 dlucio <dlucio> 3.8.9-4.mga2
+ Revision: 225625
- Trying to fix systemd integration

* Wed Mar 21 2012 dlucio <dlucio> 3.8.9-3.mga2
+ Revision: 225469
- P2 rediffed, now it starts okay

* Tue Mar 20 2012 dlucio <dlucio> 3.8.9-2.mga2
+ Revision: 224966
- I was missing /var/run/ss5 directory

* Mon Jan 23 2012 dlucio <dlucio> 3.8.9-1.mga2
+ Revision: 200282
- 3.8.9-5 latest stable snapshoot
- First import
- imported package ss5

